Difference between revisions of "Debian Packaging"

From Sirikata Wiki
Jump to: navigation, search
(Prerequisites)
(Prerequisites)
Line 1: Line 1:
 
==Prerequisites==
 
==Prerequisites==
 
* (optional) Setting up your PGP key for Launchpad: https://help.launchpad.net/YourAccount/ImportingYourPGPKey
 
* (optional) Setting up your PGP key for Launchpad: https://help.launchpad.net/YourAccount/ImportingYourPGPKey
 +
* Install debian packaging tools: <code>sudo apt-get install pbuilder debootstrap devscripts</code>
 
* Set your /etc/pbuilderrc to something like this:
 
* Set your /etc/pbuilderrc to something like this:
 
   MIRRORSITE=http://us.archive.ubuntu.com/ubuntu/
 
   MIRRORSITE=http://us.archive.ubuntu.com/ubuntu/

Revision as of 21:54, 4 January 2012

Prerequisites

 MIRRORSITE=http://us.archive.ubuntu.com/ubuntu/
 
 BUILDUSERID=12345
 BUILDUSERNAME=fakeuser
 
 DISTRIBUTION=natty
 COMPONENTS="main restricted universe multiverse"
 
 EXTRAPACKAGES="nano ssh"
 
 TIMEOUT_TIME=24h
  • After setting up /etc/pbuilderrc, run:
 sudo pbuilder --create

Creating Release

Create a directory to be used for packaging. The rest of the commands assume you are in that directory.

 mkdir packaging
 cd packaging

Clone the repository, switch to the release tag, and check out submodules:

 git clone git://github.com/sirikata/sirikata.git sirikata-0.0.18
 cd sirikata-0.0.18
 git checkout v0.0.18
 git submodule update --init --recursive

Now edit the changelog file to add a new section (you might do this step *before* the tag so it can be part of the "original" tgz). Make sure that the email address in the signature is identical to your Launchpad address:

 dch --newversion 0.0.18-0ubuntu1

Now go back up a directory and create the "orig" tar file that debian requires (note _ instead of -, it matters):

 tar -cvzf sirikata_0.0.18.orig.tar.gz sirikata-0.0.18

Go back into the directory and create the build:

 cd sirikata-0.0.18
 debuild -S

Go back up and run pbuilder to test if the build works:

 cd ..
 sudo pbuilder --build sirikata_0.0.18-0ubuntu1.dsc